/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.com.rpc.annotation;

/**
 * The different log levels that can be used for the {@link RpcLogging} annotation.
 *
 * @author tilmann
 */
public enum RpcLoggingLevel {
	NONE,
	TRACE,
	DEBUG,
	INFO,
	WARN,
	ERROR,
	FATAL
}
