/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.com.rpc.services;

import de.starface.com.rpc.server.RpcMethod;
import de.starface.com.rpc.server.RpcObjectRegistry;

/**
 * An Interface to represent RPC "services" which assemble a collection of {@link RpcMethod}s in
 * order to provide a certain functionality.
 *
 * @author may
 */
public interface RpcService {

	public void register(RpcObjectRegistry registry);

	public void unregister(RpcObjectRegistry registry);
}
