/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.com.rpc.xmlrpc.http;

/**
 * Top level inteface for xml-rpc containers for use by HTTP transport.
 *
 * @author may
 *
 */
public interface XmlRpcObject {
	/**
	 * Provides the xml-structure of this object
	 *
	 * @return A string representation of the xml-structure
	 */
	public String toXml();
}
