/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */

/**
 * This package contains all implementations of the XML-RPC client and server using HTTP for
 * transport.
 *
 * <p>
 * The XML-RPC server implementation provides a java servlet following the <a
 * href="http://java.sun.com/products/servlet/2.5/docs/servlet-2_5-mr2/index.html">Sun Servlet API
 * 2.5</a> specifications.
 * </p>
 *
 * <p>
 * The XML-RPC client implementation is based on the <a
 * href="http://hc.apache.org/httpclient-3.x/">Apache Http Client 3.1</a>
 * </p>
 */
package de.starface.com.rpc.xmlrpc.http;
