/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.examples.uci30.swing.model;

import de.starface.integration.uci.v30.client.UciProxy;

public interface ConnectionManager {
	public void connect(boolean useXmpp, String xmppHost, String httpHost, String httpCallbackHost,
						String loginId, String password);

	public void disconnect();

	public interface Events {
		public void newUciProxy(UciProxy proxy);
	}

	public void setEventListener(Events listener);
}
