/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.integration.uci.java.v30.ucp.messages.requests;

import de.starface.com.rpc.annotation.RpcInterface;
import de.starface.integration.uci.java.v30.UciService;

/**
 * This interface defines the requests used retrieve information of cdr data.
 * 
 * @author dirk
 */
@RpcInterface(UcpCallCdrRequests.SERVICE_NAME)
@UciService(UcpCallCdrRequests.SERVICE_NAME)
public interface UcpCallCdrRequests {

	/** The UCI service name used for this interface */
	public static final String SERVICE_NAME = "ucp.v30.requests.callcdr";

}
