/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.integration.uci.java.v30.values;

/**
 * This enum holds the constants used for the fax list entry property
 * {@link FaxListEntryProperties#folder}.
 *
 * @author tilmann
 */
public enum FaxListEntryFolder {
	/** The fax is in the folder for new faxes */
	NEW,

	/** The fax is in the folder with old faxes */
	OLD,

	/** The fax is in the private folder */
	PRIVATE,

	/** The fax is the folder for send faxes */
	SENT,
}
