/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.integration.uci.java.v30.values;

import java.util.List;

public enum FmcPhoneProperties {
	fmcId(Integer.class),
	telephoneId(Integer.class),
	number(String.class),
	delay(Integer.class),
	active(Boolean.class),
	confirm(Boolean.class),
	schedules(List.class);

	private Class<?> type;

	private FmcPhoneProperties(Class<?> type) {
		this.setType(type);
	}

	/**
	 * @return the type
	 */
	public Class<?> getType() {
		return type;
	}

	/**
	 * @param type
	 *        the type to set
	 */
	public void setType(Class<?> type) {
		this.type = type;
	}
}
