/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.integration.uci.java.v30.values;


public enum FmcScheduleEntryProperties {
	monday(Boolean.class),
	tuesday(Boolean.class),
	wednesday(Boolean.class),
	thursday(Boolean.class),
	friday(Boolean.class),
	saturday(Boolean.class),
	sunday(Boolean.class),
	timeBegin(String.class),
	timeEnd(String.class);

	private Class<?> type;

	private FmcScheduleEntryProperties(Class<?> type) {
		this.setType(type);
	}

	/**
	 * @return the type
	 */
	public Class<?> getType() {
		return type;
	}

	/**
	 * @param type
	 *        the type to set
	 */
	public void setType(Class<?> type) {
		this.type = type;
	}
}
