/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.integration.uci.java.v30.values;

import java.util.List;

public enum GlobalLineConfigurationProperties {
	countryCode(String.class),
	areaCode(String.class),
	deposit(String.class),
	externalPrefix(String.class),
	country(String.class),
	localInternalNumberBlocks(List.class),
	federationInternalNumberBlocks(List.class),
	serviceNumbers(List.class);

	private Class<?> type;

	GlobalLineConfigurationProperties(Class<?> type) {
		this.type = type;
	}

	/**
	 * @return the java type of the property
	 */
	public Class<?> getType() {
		return type;
	}
}
