/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.integration.uci.java.v30.values;

import de.starface.integration.uci.java.v30.types.PushNotificationSetting;

/**
 * Properties of the {@link PushNotificationSetting} objects
 */
public enum PushNotificationSettingProperties {
	/**
	 * The pushService String
	 */
	pushService(String.class),

	/**
	 * The pushToken String
	 */
	pushToken(String.class);
	
	private Class<?> clazz;

	private PushNotificationSettingProperties(Class<?> type) {
		this.clazz = type;
	}

	/**
	 * @return the java type of the property
	 */
	public Class<?> getType() {
		return clazz;
	}
}
