/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.integration.uci.java.v30.values;

public enum WebServerConfigurationProperties {
	httpPort(Integer.class),
	httpsPort(Integer.class),
	httpActive(Boolean.class),
	httpsActive(Boolean.class),
	redirectHttpToHttpsActive(Boolean.class);

	private Class<?> type;

	WebServerConfigurationProperties(Class<?> type) {
		this.type = type;
	}

	/**
	 * @return the java type of the property
	 */
	public Class<?> getType() {
		return type;
	}
}
