/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.com.rpc.common;

/**
 * Identification of a concrete transport channel and target address in this channel which is used
 * to send an RPC request.
 *
 * @author may
 *
 * @see RpcRequest
 */
public interface RpcTransportToken {
	// Methods to be defined by concrete implementations

	public String getIdentifierString();
}
