/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.integration.uci.java.v30.values;

/**
 * This enum holds the constants used for the value of the call list entry property
 * {@link CallListEntryProperties#direction}
 *
 * @author tilmann
 */
public enum CallListEntryDirection {
	/** A call received by the current user */
	INBOUND,

	/** A call placed by the current user */
	OUTBOUND,

	/** A call received or placed by the current user */
	BOTH
}
