/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.integration.uci.java.v30.values;

/**
 * This enum defines the different states a call can take. The constants are used for the call
 * property {@link CcbsCallProperties#ccbsCallState}.
 *
 * @author tilmann
 */
public enum CcbsCallState {
	/**
	 * The ccbs call is available to dial.
	 */
	AVAILABLE,

	/**
	 * The ccbs call is active.
	 */
	ACTIVE,

	/**
	 * The ccbs call is finished.
	 */
	INACTIVE
}
