/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.integration.uci.java.v30.values;

/**
 * Defines some values used in UCI requests that define how list result lists will be ordered.
 *
 * @author tilmann
 */
public enum OrderDirection {
	/** Order ascending */
	ASCENDING,

	/** Order descending */
	DESCENDING
}
