/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.integration.uci.java.v30.values;

/**
 * This enum holds the constants used for the redirect setting property
 * {@link RedirectSettingProperties#destinationType}.
 *
 * @author tilmann
 */
public enum RedirectSettingDestinationType {
	/** The redirect destination is a voicemail box */
	VOICEMAIL,

	/** The redirect destination is a phone number */
	PHONENUMBER
}
