/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.integration.uci.java.v30.values;

import de.starface.integration.uci.java.v30.types.SoftPhoneRegistrationInfo;

/**
 * Properties of the {@link SoftPhoneRegistrationInfo} objects
 *
 * @author tpfeifer
 *
 */
public enum SoftPhoneRegistrationInfoProperties {
	/**
	 * The SIP userId
	 */
	sipUserId(String.class);

	private Class<?> type;

	private SoftPhoneRegistrationInfoProperties(Class<?> type) {
		this.type = type;
	}

	/**
	 * @return the java type of the property
	 */
	public Class<?> getType() {
		return type;
	}
}
