/*
 *  Copyright (C) by STARFACE GmbH, Karlsruhe, Germany. All rights reserved.
 *
 *  NOTICE: THIS MATERIAL IS CONSIDERED A TRADE SECRET BY STARFACE GMBH. UNAUTHORIZED ACCESS,
 *  USE, REPRODUCTION OR DISTRIBUTION IS PROHIBITED.
 */
package de.starface.integration.uci.java.v30.values;

/**
 * This enum holds the constants used for the voicemail list entry property
 * {@link VoicemailListEntryProperties#folder}.
 *
 * @author tilmann
 */
public enum VoicemailListEntryFolder {
	/** The voicemail is in the inbox */
	INBOX,

	/** The voicemail is in the private folder */
	Private,

	/** The voicemail is in the folder with old voicemails */
	Old
}
